%define lib_name	%name

Name:		libirman
Version:	0.4.4
Release:	%mkrel 5
Summary:	Library for accessing the IRMAN hardware
License:	GPL
Group:		System/Libraries
URL:		http://www.evation.com/libirman/
Source0:	http://lirc.sourceforge.net/software/snapshots/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
General purpose library for programs to use in order to receive infra
red signals via irman compatible hardware. It is designed to be portable
across Unices but is so far only known to work under Linux.

%package -n %{lib_name}-devel
Summary:  Header files and static library for development with libirman
Group: Development/C
Provides: %{lib_name}-static-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package includes the static libraries and header
files for the libirman package.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

# Makefile doesn't create this:
install -d $RPM_BUILD_ROOT/%{_includedir}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT/

%files
%defattr(-,root,root)
%doc COPYING COPYING.lib INSTALL NEWS README TECHNICAL TODO
%config(noreplace) %_sysconfdir/irman.conf
%{_bindir}/*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}/*


%changelog
* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4.4-5mdv2010.0
+ Revision: 425573
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.4-4mdv2009.0
+ Revision: 222890
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.4-3mdv2008.1
+ Revision: 150698
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-2mdv2008.0
+ Revision: 76771
- rebuild


* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.4-1mdv2007.0
+ Revision: 102606
- Release 0.4.4
- Remove patch0, merged upstream
- Import libirman

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.4.2-4mdk
- Rebuild

* Tue Aug 09 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.4.2-3mdk
- gcc4 & provides fixes

* Sat Sep 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-2mdk
- Rebuild

